## fatattr 1.0.1

=== Makefile ===
## -----------------------------------------------------------------------
##   
##   Copyright 2005-2009 H. Peter Anvin - All Rights Reserved
##
##   This program is free software; you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation, Inc., 675 Mass Ave, Cambridge MA 02139,
##   USA; either version 2 of the License, or (at your option) any later
##   version; incorporated herein by reference.
##
## -----------------------------------------------------------------------

##
## Makefile for fatattr
##

-include MCONFIG
include MRULES

PROGS     = fatattr
MAN1PAGES = fatattr.1

OBJS = 	fatattr.o

all: $(PROGS)

spec: fatattr.spec

clean:
	rm -f *.o *.i *.s version.h $(PROGS)

distclean: clean
	rm -f MCONFIG config.status config.log config.h *~ \#*
	rm -f core *.orig *.rej
	rm -rf *.cache

release:
	$(MAKE) configure
	$(MAKE) spec
	$(MAKE) distclean

fatattr: $(OBJS)
	$(CC) $(LDFLAGS) -o fatattr $(OBJS) $(LIBS)

spotless: distclean
	rm -f configure config.h.in fatattr.spec

install: all
	mkdir -p $(INSTALLROOT)$(bindir)
	$(INSTALL_PROGRAM) $(PROGS) $(INSTALLROOT)$(bindir)
	mkdir -p $(INSTALLROOT)$(mandir)/man1
	$(INSTALL_DATA) $(MAN1PAGES) $(INSTALLROOT)$(mandir)/man1

config:	MCONFIG

MCONFIG: configure MCONFIG.in config.h.in
	./configure

config.h: MCONFIG
	: Generated by side effect

config.h.in: configure.in
	rm -f config.h.in
	autoheader

configure: configure.in aclocal.m4
	autoconf
	rm -f MCONFIG config.cache config.log config.status config.h

dist: config spec
	$(MAKE) distclean

#
# Version header
#
VERSION = $(shell cat version)

version.h: version
	echo "#define FATATTR_VERSION \"$(VERSION)\"" > version.h

fatattr.spec: fatattr.spec.in version
	sed -e 's/@@VERSION@@/$(VERSION)/g' < $< > $@

=== debian/changelog ===
fatattr (1.0.1-14) unstable; urgency=medium

  * Migrate to Salsa.
  * Drop debug symbol migration, published in Stretch.
  * Update debian/copyright.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 26 May 2018 22:58:28 +0200

fatattr (1.0.1-13) unstable; urgency=medium

  * Change architecture to linux-any since fatattr doesn't build on non-
    Linux systems.
  * Switch to https: VCS URIs (see #810378).
  * Clean up debian/control with cme.
  * Standards-Version 3.9.7, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 28 Mar 2016 21:17:44 +0200

fatattr (1.0.1-12) unstable; urgency=medium

  * New maintainer (Closes: #723597).
  * Migrate to dbgsym debug packages.
  * Drop the dh_builddeb compression override.
  * Build with dh-autoreconf.
  * Remove the homepage information, there is no upstream any more (and
    document that in debian/watch).
  * Standards-Version 3.9.6, no further change required.
  * Add VCS entries.

 -- Stephen Kitt <skitt@debian.org>  Wed, 23 Dec 2015 13:20:33 +0100

fatattr (1.0.1-11) unstable; urgency=low

  * Taking over with maintainer's consent.

 -- Luk Claes <luk@debian.org>  Tue, 26 Mar 2013 07:44:40 +0100

fatattr (1.0.1-10) unstable; urgency=low

  * Updating to standards version 3.9.4.
  * Adding dpkg-source local options.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 16 Dec 2012 10:34:16 +0100

fatattr (1.0.1-9) unstable; urgency=low

  * Updating GPL boilerplate in copyright file.
  * Switching to xz compression.
  * Building with hardening build flags.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 29 Jun 2012 15:52:01 +0200

fatattr (1.0.1-8) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Updating package to standards version 3.9.3.
  * Updating package to debhelper version 9.
  * Updating copyright file to machine-readable format version 1.0.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 18 May 2012 14:34:40 +0200

fatattr (1.0.1-7) unstable; urgency=low

  * Adding debug package.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 13 Jul 2011 01:19:17 +0200

fatattr (1.0.1-6) unstable; urgency=low

  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Makeing packaging distribution neutral.
  * Updating year in copyright file.
  * Updating to standards version 3.9.2.
  * Compacting copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 11 Jul 2011 10:18:34 +0200

fatattr (1.0.1-5) experimental; urgency=low

  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.
  * Simplyfing autotools handing in rules.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Dec 2010 21:12:43 +0100

fatattr (1.0.1-4) unstable; urgency=low

  * Updating to standards 3.8.4.
  * Updating standards version to 3.9.0.
  * Correcting spelling typo in package description (Closes: #592584).
  * Updating standards version to 3.9.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 14 Aug 2010 12:50:25 +0200

fatattr (1.0.1-3) unstable; urgency=low

  * Adding explicit source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Extending package long-description, thanks Frank Lin Piat
    <fpiat@klabs.be> (Closes: #563294).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 09 Jan 2010 15:01:37 +0100

fatattr (1.0.1-2) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Adding maintainer homepage field to control.
  * Marking maintainer homepage field to be also included in binary
    packages and changelog.
  * Adding README.source.
  * Simplifying autotools handling in rules.
  * Moving maintainer homepage field from control to copyright.
  * Bumping versioned build-depends on debhelper.
  * Updating README.source.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 17 Nov 2009 20:50:53 +0100

fatattr (1.0.1-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 08 Aug 2009  01:12:38 +0200

=== debian/control ===
Source: fatattr
Maintainer: Filesystems Group <filesystems-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian/fatattr
Vcs-Git: https://salsa.debian.org/debian/fatattr.git

Package: fatattr
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Utility to control attributes on a FAT filesystem
 FAT filesystems contain several attributes which do not map cleanly onto Unix
 attributes; this utility allow these to be controlled directly by unprivileged
 users on any mounted FAT partition.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- CFLAGS="$(CFLAGS) $(CPPFLAGS)"

override_dh_auto_install:
	dh_auto_install -- INSTALLROOT=$(CURDIR)/debian/fatattr

=== debian/watch ===
# There is no upstream for fatattr any more
